package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 转入转出记录（标记时间）
 * </p>
 *
 * @author zhoutg
 * @since 2020-12-01
 */
public class MedTransferRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Integer hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 转出日期
     */
    private LocalDateTime transferOutDate;

    /**
     * 转入日期
     */
    private LocalDateTime transferInDate;

    /**
     * 转出科室
     */
    private String transferOutDept;

    /**
     * 转入科室
     */
    private String transferInDept;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private LocalDateTime recDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public LocalDateTime getTransferOutDate() {
        return transferOutDate;
    }

    public void setTransferOutDate(LocalDateTime transferOutDate) {
        this.transferOutDate = transferOutDate;
    }
    public LocalDateTime getTransferInDate() {
        return transferInDate;
    }

    public void setTransferInDate(LocalDateTime transferInDate) {
        this.transferInDate = transferInDate;
    }
    public String getTransferOutDept() {
        return transferOutDept;
    }

    public void setTransferOutDept(String transferOutDept) {
        this.transferOutDept = transferOutDept;
    }
    public String getTransferInDept() {
        return transferInDept;
    }

    public void setTransferInDept(String transferInDept) {
        this.transferInDept = transferInDept;
    }
    public String getRecDoctor() {
        return recDoctor;
    }

    public void setRecDoctor(String recDoctor) {
        this.recDoctor = recDoctor;
    }
    public LocalDateTime getRecDate() {
        return recDate;
    }

    public void setRecDate(LocalDateTime recDate) {
        this.recDate = recDate;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "MedTransferRecord{" +
            "id=" + id +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", name=" + name +
            ", sex=" + sex +
            ", age=" + age +
            ", deptName=" + deptName +
            ", transferOutDate=" + transferOutDate +
            ", transferInDate=" + transferInDate +
            ", transferOutDept=" + transferOutDept +
            ", transferInDept=" + transferInDept +
            ", recDoctor=" + recDoctor +
            ", recDate=" + recDate +
            ", remark=" + remark +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
